# eric3.Debugger.DebugClient

Module implementing the Qt version of the debug client.

### Classes

DebugClient | Class implementing the client side of the debugger.

### Functions

DebugClientQAppHook | Module function called by PyQt when the QApplication instance has been created.

## DebugClient

Class implementing the client side of the debugger.

This variant of the debugger implements a Qt debugger client by subclassing all relevant base classes.

### Derived from

DebugClientBase.DebugClientBase, AsyncIO, DebugBase

### Methods

DebugClient | Constructor

### DebugClient (Constructor)

DebugClient()

Constructor

Up

## DebugClientQAppHook

DebugClientQAppHook()

Module function called by PyQt when the QApplication instance has been created.

Up